VARKON Version 1.15 1997-10-24

> ## getp_mbs - Function

> Get statement
> Description
> Reads name or parameters from a statement in active module.
> Syntax
> getp_mbs(id, parnum)

> REF | id;
> INT | parnum;

> Principal parameters

> id | - Identity of the entity whose definition to read
> parnum | - Relative position of parameter to read, first = 1. parnum = 0 returns the name of the
> | MBS routine.

> Optional parameters

> None. |

> Return value
> A STRING holding the name or parameter in MBS syntax.
> Example
> Suppose our active module includes the following statement....
> lin_free(#5, on(#2), intersect(#1,#3));
> then
> getp_mbs(#5, 0) = "lin_free"
> getp_mbs(#5, 1) = "on(#2)"
> getp_mbs(#5, 2) = "intersect(#1,#3)"

VARKON Homepage | Index